<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:o="http://omnifaces.org/ui">

	<f:metadata>
		<o:viewParam name="id" value="#{minhasComprasEstabelecimentosBean.usuario}" />
		<f:viewAction action="#{minhasComprasEstabelecimentosBean.inicializar}" />
	</f:metadata>

	<ui:define name="page_title">
		Minhas Compras
	</ui:define>

	<ui:define name="content">
		<div class="row">
			<div class="col-md-12">
				<h4 class="title">Suas Notas Fiscais</h4>
				<p class="category">Veja os detalhes de suas Notas Fiscais</p>
				<br />
				<div class="row">
	                    <div class="col-lg-4 col-sm-6">
	                        <div class="card">
	                            <div class="card-content">
	                                <div class="row">
	                                    <div class="col-xs-5">
	                                        <div class="icon-big icon-warning text-center">
	                                            <i class="ti-server"></i>
	                                        </div>
	                                    </div>
	                                    <div class="col-xs-7">
	                                        <div class="numbers">
	                                            <p>Notas Fiscal</p>
	                                            #{minhasComprasEstabelecimentosBean.numeroNotas}
	                                        </div>
	                                    </div>
	                                </div>
	                            </div>
	                        </div>
	                    </div>
	                    <div class="col-lg-4 col-sm-6">
	                        <div class="card">
	                            <div class="card-content">
	                                <div class="row">
	                                    <div class="col-xs-5">
	                                        <div class="icon-big icon-success text-center">
	                                            <i class="ti-wallet"></i>
	                                        </div>
	                                    </div>
	                                    <div class="col-xs-7">
	                                        <div class="numbers">
	                                            <p>Total em Compras</p>
	                                            #{minhasComprasEstabelecimentosBean.totalCompras}
	                                        </div>
	                                    </div>
	                                </div>
	                            </div>
	                        </div>
	                    </div>
	                </div>
				<div class="card">
					<div class="card-content">
						<div class="toolbar">
							<!--Here you can write extra buttons/actions for the toolbar-->
						</div>
						<div class="fresh-datatables">
							<h:dataTable value="#{minhasComprasEstabelecimentosBean.estabelecimentos}" var="item"
								styleClass="table table-striped table-no-bordered table-hover"
								cellspacing="0" width="100%" style="width: 100%"
								id="datatables-compras-estabelecimentos">
								<h:column>
									<f:facet name="header">
										<h:outputText value="NOME" />
									</f:facet>
									<h:outputText value="#{item.noEstabelecimento}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="NOTAS" />
									</f:facet>
									<h:outputText value="#{item.nuNotas}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="TOTAL (R$)" />
									</f:facet>
									<h:outputText value="R$ #{item.vlTotalEstabelecimento}" />
								</h:column>								
								<h:column>
									<f:facet name="header">
										<h:outputText value="Ação" />
									</f:facet>
									<h:link styleClass="btn btn-simple btn-info btn-icon like" outcome="minhas-compras">
										<f:param name="idEstabelecimento" value="#{item.idEstabelecimento}" />
										<f:param name="id" value="#{user.id}" />
										<i class="ti-eye"></i>
									</h:link>
								</h:column>
							</h:dataTable>
						</div>
					</div>
				</div>
				<!--  end card  -->
			</div>
			<!-- end col-md-12 -->
		</div>
		<!-- end row -->
		<h:outputScript>
	$(document).ready(function() {
		//datatables-compras-estabelecimentos
					$('#datatables-compras-estabelecimentos').DataTable({
								"pagingType": "numbers",
								responsive: true,
								ordering: false,
								"bLengthChange": false,
								language: {
									search: "_INPUT_",
									searchPlaceholder: "Filtrar",
									"url": "/resources/json/Portuguese-Brasil.json"
							}
						});
	});
</h:outputScript>
	</ui:define>
</ui:composition>
